import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _MTRDataTypeCurrencyStruct } from "./MTRDataTypeCurrencyStruct.js";
export declare class _MTRCommodityTariffClusterTariffInformationStruct extends _NSObject {
    static alloc(): _MTRCommodityTariffClusterTariffInformationStruct;
    static new(): _MTRCommodityTariffClusterTariffInformationStruct;
    init(): _MTRCommodityTariffClusterTariffInformationStruct;
    tariffLabel(): _NSString | null;
    setTariffLabel$(value: _NSString | null): void;
    providerName(): _NSString | null;
    setProviderName$(value: _NSString | null): void;
    currency(): _MTRDataTypeCurrencyStruct | null;
    setCurrency$(value: _MTRDataTypeCurrencyStruct | null): void;
    blockMode(): _NSNumber | null;
    setBlockMode$(value: _NSNumber | null): void;
}
export interface _MTRCommodityTariffClusterTariffInformationStruct extends _NSCopying {
}
